Skip to main content
GET
/
api
/
{exchange}
/
fetchEventsPaginated
import pmxt

# API key optional — enables faster catalog-backed lookups
exchange = pmxt.Polymarket(
    pmxt_api_key="YOUR_PMXT_API_KEY",
)
result = exchange.fetch_events_paginated(
    limit=10,
    cursor="abc123",
    filter="value",
)
{
  "success": true,
  "error": {
    "message": "<string>"
  },
  "data": {
    "data": [
      {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "slug": "<string>",
        "markets": [
          {
            "marketId": "<string>",
            "title": "<string>",
            "description": "<string>",
            "outcomes": [
              {
                "outcomeId": "<string>",
                "label": "<string>",
                "price": 123,
                "marketId": "<string>",
                "priceChange24h": 123,
                "metadata": {}
              }
            ],
            "resolutionDate": "2023-11-07T05:31:56Z",
            "volume24h": 123,
            "liquidity": 123,
            "url": "<string>",
            "eventId": "<string>",
            "slug": "<string>",
            "volume": 123,
            "openInterest": 123,
            "image": "<string>",
            "category": "<string>",
            "tags": [
              "<string>"
            ],
            "tickSize": 123,
            "status": "<string>",
            "contractAddress": "<string>",
            "sourceExchange": "<string>",
            "yes": {
              "outcomeId": "<string>",
              "label": "<string>",
              "price": 123,
              "marketId": "<string>",
              "priceChange24h": 123,
              "metadata": {}
            },
            "no": {
              "outcomeId": "<string>",
              "label": "<string>",
              "price": 123,
              "marketId": "<string>",
              "priceChange24h": 123,
              "metadata": {}
            },
            "up": {
              "outcomeId": "<string>",
              "label": "<string>",
              "price": 123,
              "marketId": "<string>",
              "priceChange24h": 123,
              "metadata": {}
            },
            "down": {
              "outcomeId": "<string>",
              "label": "<string>",
              "price": 123,
              "marketId": "<string>",
              "priceChange24h": 123,
              "metadata": {}
            }
          }
        ],
        "volume24h": 123,
        "url": "<string>",
        "volume": 123,
        "image": "<string>",
        "category": "<string>",
        "tags": [
          "<string>"
        ],
        "sourceExchange": "<string>"
      }
    ],
    "total": 123,
    "nextCursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://pmxt.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Faster with an API key — With a PMXT API key this endpoint is served from an indexed catalog (~10 ms) instead of proxying to the venue (~500 ms). No code changes required — same request, same response, just faster. Learn more.

Path Parameters

exchange
enum<string>
required

The prediction market exchange to target.

Available options:
polymarket,
kalshi,
kalshi-demo,
limitless,
probable,
baozi,
myriad,
opinion,
metaculus,
smarkets,
polymarket_us,
router

Query Parameters

limit
number
cursor
string
filter
object

Response

200 - application/json

Fetch Events Paginated response

success
boolean
Example:

true

error
object
data
object

Shape returned by fetchEventsPaginated